---
title: "Create advertiser day of week targeting"
type: reference
method: POST
path: /rest-api/advertiser/{advertiserId}/targeting/day-of-week/create.do
tag: "Targeting Rules"
---

# Create advertiser day of week targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/day-of-week/create.do`

Creates a day of week targeting rule for the specified advertiser. The rule restricts ad delivery to specific days of the week. Valid values are MONDAY through SUNDAY. Create multiple rules to target multiple days. Requires UPDATE permission on the advertiser and MANAGE_DEMAND_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `advertiserId` | integer | yes | `1234` | Unique numeric ID of the advertiser |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `dayOfWeek` | string | yes | `MONDAY` | Day of the week — MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, or SUNDAY |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Advertiser not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/1234/targeting/day-of-week/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'dayOfWeek=MONDAY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-advertiser-targeting-day-of-week-create